]> git.decadent.org.uk Git - dak.git/blobdiff - scripts/debian/byhand-task
LOCAL: Remove replay check
[dak.git] / scripts / debian / byhand-task
index cd40167181dbe27fda86529a463172a4a8587985..41f863c581befa127a3957633e7d223cd539ed77 100755 (executable)
@@ -1,10 +1,11 @@
-#!/bin/sh
+#!/bin/bash
 
 set -u
 set -e
+set -o pipefail
 
-if [ $# -lt 4 ]; then
-        echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+        echo "Usage: $0 filename version arch changes_file suite"
         exit 1
 fi
 
@@ -15,19 +16,14 @@ INPUT="$1"      # Tarball to read, compressed with gzip
 VERSION="$2"
 ARCH="$3"
 CHANGES="$4"    # Changes file for the upload
+SUITE="$5"
 
 error() {
         echo "$*"
         exit 1
 }
 
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
 case $SUITE in
-    "")
-        error "Error: unable to determine suite from Changes file"
-        ;;
     unstable|sid)
         : # OK for automated byband processing
         ;;